Manifest-Version: 1.0
Bnd-LastModified: 1751442826590
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Object REST Implementation
Bundle-SymbolicName: com.liferay.object.rest.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 1.0.68.hotfix-6739-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.account.model;version="5.1",com.liferay.ac
 count.service;version="7.5",com.liferay.asset.kernel.model;version="9
 .0",com.liferay.asset.kernel.service;version="7.3",com.liferay.depot.
 service;version="1.9",com.liferay.document.library.kernel.model;versi
 on="7.0",com.liferay.document.library.kernel.service;version="7.2",co
 m.liferay.document.library.util;version="1.1",com.liferay.headless.de
 livery.dto.v1_0;version="30.0",com.liferay.list.type.model;version="2
 .0",com.liferay.list.type.service;version="1.3",com.liferay.object.de
 ployer;version="1.0",com.liferay.object.exception;version="11.0",com.
 liferay.object.field.business.type;version="4.1",com.liferay.object.m
 odel;version="7.2",com.liferay.object.related.models;version="3.0",co
 m.liferay.object.rest.dto.v1_0;version="1.4",com.liferay.object.rest.
 dto.v1_0.util;version="1.0",com.liferay.object.rest.manager.exception
 ;version="1.0",com.liferay.object.rest.manager.v1_0;version="6.1",com
 .liferay.object.rest.odata.entity.v1_0;version="1.0",com.liferay.obje
 ct.rest.openapi.v1_0;version="2.0",com.liferay.object.rest.petra.sql.
 dsl.expression;version="1.0",com.liferay.object.rest.resource.v1_0;ve
 rsion="2.0",com.liferay.object.scope;version="1.0",com.liferay.object
 .service;version="29.2",com.liferay.object.system;version="8.0",com.l
 iferay.object.util;version="4.0",com.liferay.osgi.service.tracker.col
 lections.map;version="2.2",com.liferay.petra.function;version="1.5",c
 om.liferay.petra.sql.dsl;version="1.1",com.liferay.petra.sql.dsl.expr
 ession;version="1.4",com.liferay.petra.sql.dsl.query.sort;version="1.
 0",com.liferay.petra.sql.dsl.spi.expression;version="1.3",com.liferay
 .petra.string;version="1.7",com.liferay.portal.kernel.exception;versi
 on="12.3",com.liferay.portal.kernel.json;version="11.0",com.liferay.p
 ortal.kernel.language;version="11.0",com.liferay.portal.kernel.log;ve
 rsion="7.1",com.liferay.portal.kernel.model;version="24.0",com.lifera
 y.portal.kernel.repository.model;version="11.1",com.liferay.portal.ke
 rnel.sanitizer;version="8.0",com.liferay.portal.kernel.search;version
 ="17.0",com.liferay.portal.kernel.search.filter;version="1.0",com.lif
 eray.portal.kernel.security.auth;version="5.1",com.liferay.portal.ker
 nel.security.permission;version="6.2",com.liferay.portal.kernel.secur
 ity.permission.resource;version="2.1",com.liferay.portal.kernel.servi
 ce;version="17.0",com.liferay.portal.kernel.service.permission;versio
 n="5.0",com.liferay.portal.kernel.theme;version="10.1",com.liferay.po
 rtal.kernel.util;version="45.0",com.liferay.portal.kernel.workflow;ve
 rsion="17.2",com.liferay.portal.language,com.liferay.portal.odata.ent
 ity;version="2.0",com.liferay.portal.odata.filter;version="1.1",com.l
 iferay.portal.odata.filter.expression;version="2.1",com.liferay.porta
 l.odata.sort;version="1.2",com.liferay.portal.search.aggregation;vers
 ion="1.0",com.liferay.portal.search.aggregation.bucket;version="1.1",
 com.liferay.portal.search.legacy.searcher;version="1.0",com.liferay.p
 ortal.search.query;version="1.7",com.liferay.portal.search.searcher;v
 ersion="1.11",com.liferay.portal.util;version="36.0",com.liferay.port
 al.vulcan.accept.language;version="1.1",com.liferay.portal.vulcan.agg
 regation;version="1.2",com.liferay.portal.vulcan.batch.engine;version
 ="2.0",com.liferay.portal.vulcan.batch.engine.resource;version="1.0",
 com.liferay.portal.vulcan.dto.converter;version="1.8",com.liferay.por
 tal.vulcan.extension;version="4.0",com.liferay.portal.vulcan.extensio
 n.validation;version="1.0",com.liferay.portal.vulcan.fields;version="
 1.5",com.liferay.portal.vulcan.graphql.dto;version="1.3",com.liferay.
 portal.vulcan.graphql.dto.v1_0;version="1.0",com.liferay.portal.vulca
 n.jaxrs.exception.mapper;version="1.2",com.liferay.portal.vulcan.list
 .type;version="1.0",com.liferay.portal.vulcan.openapi;version="2.0",c
 om.liferay.portal.vulcan.openapi.contributor;version="1.0",com.lifera
 y.portal.vulcan.pagination;version="1.4",com.liferay.portal.vulcan.pe
 rmission;version="1.3",com.liferay.portal.vulcan.resource;version="2.
 0",com.liferay.portal.vulcan.util;version="4.1",io.swagger.v3.oas.ann
 otations;version="2.0",io.swagger.v3.oas.annotations.enums;version="2
 .0",io.swagger.v3.oas.annotations.info;version="2.0",io.swagger.v3.oa
 s.annotations.tags;version="2.0",io.swagger.v3.oas.models;version="2.
 0",io.swagger.v3.oas.models.media;version="2.0",io.swagger.v3.oas.mod
 els.parameters;version="2.0",io.swagger.v3.oas.models.responses;versi
 on="2.0",javax.servlet.http,javax.validation.constraints;version="2.0
 ",javax.ws.rs;version="2.1",javax.ws.rs.container;version="2.1",javax
 .ws.rs.core;version="2.1",javax.ws.rs.ext;version="2.1",org.apache.cx
 f.jaxrs.ext;version="3.4",org.apache.cxf.message;version="3.4",org.os
 gi.framework;version="1.8",org.osgi.service.cm;version="1.6",org.osgi
 .service.component;version="1.4"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Object
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.object.rest.internal.deployer,com.liferay
 .object.rest.internal.dto.v1_0.converter,com.liferay.object.rest.inte
 rnal.graphql.dto.v1_0,com.liferay.object.rest.internal.jaxrs.applicat
 ion,com.liferay.object.rest.internal.jaxrs.container.request.filter,c
 om.liferay.object.rest.internal.jaxrs.context.provider,com.liferay.ob
 ject.rest.internal.jaxrs.exception.mapper,com.liferay.object.rest.int
 ernal.manager.v1_0,com.liferay.object.rest.internal.odata.filter.expr
 ession,com.liferay.object.rest.internal.openapi.v1_0,com.liferay.obje
 ct.rest.internal.petra.sql.dsl.expression,com.liferay.object.rest.int
 ernal.resource.v1_0,com.liferay.object.rest.internal.security.permiss
 ion,com.liferay.object.rest.internal.vulcan.extension.v1_0,com.lifera
 y.object.rest.internal.vulcan.openapi.contributor
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .object.deployer.ObjectDefinitionDeployer";uses:="com.liferay.object.
 deployer",osgi.service;objectClass:List<String>="com.liferay.object.r
 est.internal.dto.v1_0.converter.ObjectEntryDTOConverter,com.liferay.p
 ortal.vulcan.dto.converter.DTOConverter";uses:="com.liferay.object.re
 st.internal.dto.v1_0.converter,com.liferay.portal.vulcan.dto.converte
 r",osgi.service;objectClass:List<String>="com.liferay.object.rest.int
 ernal.resource.v1_0.RelatedObjectEntryResourceImpl";uses:="com.lifera
 y.object.rest.internal.resource.v1_0",osgi.service;objectClass:List<S
 tring>="com.liferay.object.rest.manager.v1_0.ObjectEntryManager";uses
 :="com.liferay.object.rest.manager.v1_0",osgi.service;objectClass:Lis
 t<String>="com.liferay.object.rest.manager.v1_0.ObjectEntryManagerTra
 cker";uses:="com.liferay.object.rest.manager.v1_0",osgi.service;objec
 tClass:List<String>="com.liferay.object.rest.openapi.v1_0.ObjectEntry
 OpenAPIResource";uses:="com.liferay.object.rest.openapi.v1_0",osgi.se
 rvice;objectClass:List<String>="com.liferay.object.rest.petra.sql.dsl
 .expression.FilterPredicateFactory";uses:="com.liferay.object.rest.pe
 tra.sql.dsl.expression",osgi.service;objectClass:List<String>="com.li
 feray.portal.vulcan.extension.ExtensionProvider";uses:="com.liferay.p
 ortal.vulcan.extension",osgi.service;objectClass:List<String>="com.li
 feray.portal.vulcan.openapi.contributor.OpenAPIContributor";uses:="co
 m.liferay.portal.vulcan.openapi.contributor",osgi.service;objectClass
 :List<String>="javax.ws.rs.core.Application";uses:="javax.ws.rs.core"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.acc
 ount.service.AccountEntryLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.asset.kernel.service.AssetEntryLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.depot.service.DepotEntryLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.document.library.kernel.s
 ervice.DLAppService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.document.library.kernel.service.DLFileEntryLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.document.library.util.DLURLHelper)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.list.type.service.ListTypeEntryLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.object.field.business.type.ObjectFieldBusinessTypeTracker)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.objec
 t.related.models.ObjectRelatedModelsProviderRegistry)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.object.rest.intern
 al.dto.v1_0.converter.ObjectEntryDTOConverter)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.object.rest.manager.v1_0.
 ObjectEntryManagerTracker)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.object.rest.openapi.v1_0.ObjectEntryOpenAPIRe
 source)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.object.rest.petra.sql.dsl.expression.FilterPredicateFactory)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.object
 .scope.ObjectScopeProviderRegistry)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.object.service.ObjectDefinitionLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.object.service.ObjectEntryLocalService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.object.service.ObjectEntry
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.object.service.ObjectFieldLocalService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.object.service.ObjectRelat
 ionshipLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.object.service.ObjectRelationshipService)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.object.syste
 m.SystemObjectDefinitionMetadataTracker)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.json.JSONFactory)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.language.Language)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.service.GroupLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.service.UserLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.portal.kernel.util.Portal)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.odat
 a.filter.FilterParserProvider)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.search.aggregation.Aggregations)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.search.legacy.searcher.SearchRequestBuilderFactory)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.search.que
 ry.Queries)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.vulcan.dto.converter.DTOConverterRegistry)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.vulcan
 .dto.converter.DTOMapper)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.vulcan.resource.OpenAPIResource)";effec
 tive:=active,osgi.service;filter:="(objectClass=org.osgi.service.cm.C
 onfigurationAdmin)";effective:=active,osgi.service;filter:="(objectCl
 ass=org.osgi.service.component.ComponentFactory)";effective:=active,o
 sgi.extender;filter:="(&(osgi.extender=osgi.component)(version>=1.4.0
 )(!(version>=2.0.0)))",osgi.contract;osgi.contract=JavaServlet;filter
 :="(&(osgi.contract=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&
 (osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.object.rest.internal.deployer.
 ObjectDefinitionDeployerImpl.xml,OSGI-INF/com.liferay.object.rest.int
 ernal.dto.v1_0.converter.ObjectEntryDTOConverter.xml,OSGI-INF/com.lif
 eray.object.rest.internal.jaxrs.application.ObjectEntryApplication.xm
 l,OSGI-INF/com.liferay.object.rest.internal.manager.v1_0.DefaultObjec
 tEntryManagerImpl.xml,OSGI-INF/com.liferay.object.rest.internal.manag
 er.v1_0.ObjectEntryManagerTrackerImpl.xml,OSGI-INF/com.liferay.object
 .rest.internal.openapi.v1_0.ObjectEntryOpenAPIResourceImpl.xml,OSGI-I
 NF/com.liferay.object.rest.internal.petra.sql.dsl.expression.FilterPr
 edicateFactoryImpl.xml,OSGI-INF/com.liferay.object.rest.internal.reso
 urce.v1_0.RelatedObjectEntryResourceImpl.xml,OSGI-INF/com.liferay.obj
 ect.rest.internal.vulcan.extension.v1_0.ObjectEntryExtensionProvider.
 xml,OSGI-INF/com.liferay.object.rest.internal.vulcan.extension.v1_0.O
 bjectRelationshipExtensionProvider.xml,OSGI-INF/com.liferay.object.re
 st.internal.vulcan.openapi.contributor.RelatedObjectEntryOpenAPIContr
 ibutor.xml
Tool: Bnd-4.3.0.201909301554

